#include "PokktAdsPrivatePCH.h"
#include "PokktAdsSettings.h"
#include "ISettingsModule.h"


DEFINE_LOG_CATEGORY(LogPokktAds);


#define LOCTEXT_NAMESPACE "PokktAds"


class FPokktAds : public IPokktAds
{
	virtual void StartupModule() override;
	virtual void ShutdownModule() override;
};


IMPLEMENT_MODULE(FPokktAds, PokktAds)


void FPokktAds::StartupModule()
{
	if (ISettingsModule* SettingsModule = FModuleManager::GetModulePtr<ISettingsModule>("Settings"))
	{
		SettingsModule->RegisterSettings("Project", "Plugins", "PokktAds",
										 LOCTEXT("RuntimeSettingsName", "PokktAds"),
										 LOCTEXT("RuntimeSettingsDescription", "Pokkt Ads settings"),
										 GetMutableDefault<UPokktAdsSettings>()
										 );
	}
}


void FPokktAds::ShutdownModule()
{
	// This function may be called during shutdown to clean up your module.  For modules that support dynamic reloading,
	// we call this function before unloading the module.
}

#undef LOCTEXT_NAMESPACE
